package com.ibm.emb.test;

import javax.emb.MediaException;

import junit.framework.Test;
import junit.framework.TestSuite;

import com.ibm.emb.junit.EMBTestRunner;

/**
 * AllTests class for the TCK edit the suite method to execute test classes
 */
public class AllTests {

    public static void main(String[] args) throws MediaException {
        EMBTestRunner.run(suite());
    }

    public static Test suite() throws MediaException {
        TestSuite suite = new TestSuite("All EMB javax tests");

        // Media Foundation Beans
        suite.addTestSuite(MediaBeanTest.class);
        suite.addTestSuite(GenericMediaFormatTest.class);
        suite.addTestSuite(GenericMediaHeaderTest.class);
        suite.addTestSuite(MediaFormatRegistryTest.class);
        suite.addTestSuite(MediaSegmentTest.class);
        suite.addTestSuite(SignatureTest.class);

        // Media Entity Beans
        suite.addTestSuite(MediaEntityLocalTest.class);
        suite.addTestSuite(MediaEntityLocalHomeTest.class);
        suite.addTestSuite(MediaListenerTest.class);
        suite.addTestSuite(ProtocolConstraintsTest.class);
        suite.addTestSuite(MetaDataEntityLocalTest.class);
        suite.addTestSuite(MetaDataEntityLocalHomeTest.class);

        return suite;
    }

}